@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

.light {
  --mainColor: #35063e;
  --hoverColor: #A020F0;
  --backgroundColor: #f1f8fc;
  --darkOne: #312f3a;
  --darkTwo: #35063e;
  --lightOne: #919191;
  --lightTwo: #35063e;
  --services:whitesmoke;
  --white:#000;
}

.dark {
  --mainColor: #A020F0;
  --hoverColor: #35063e;
  --backgroundColor: #192e3a;
  --darkOne: #f3f3f3;
  --darkTwo: #fff;
  --lightOne: #ccc;
  --lightTwo: #e7e3e3;
  --services:#192e3a;
  --white:#FFFFFF;
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
}

.stop-scrolling {
  height: 100%;
  overflow: hidden;
}

img {
  width: 100%;
}

a {
  text-decoration: none;
}

.big-wrapper {
  position: relative;
  width: 100%;
  padding:0 .5rem;
  min-height: 100vh;
  overflow: hidden;
  background-color: var(--backgroundColor);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.container {
  position: relative;
  width: 100%;
  margin: 1rem auto;
  padding: 0 0.5rem;
  z-index: 10;
}

header {
  position: relative;
  z-index: 70;
}

header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.overlay {
  display: none;
}

.logo {
  display: flex;
  align-items: center;
  cursor: pointer;
}

.logo img {
  width: 40px;
  margin-right: 0.6rem;
  margin-top: -0.6rem;
}

.logo h3 {
  color: var(--darkTwo);
  font-size: 1.55rem;
  line-height: 1.2;
  font-weight: 700;
}

.links ul {
  display: flex;
  list-style: none;
  align-items: left;
  width: 100%;
}
.logosm{
    display: none;
}
.logosm img{
    display: none;
}
.links a {
  color: var(--lightTwo);
  margin-left: 4.5rem;
  display: inline-block;
  transition: 0.3s;
  font-size: 11pt;
}
.links a:hover {
  color: var(--hoverColor);
  transform: scale(1.05);
}
.logoutbtn{
    background: none;
    outline: none;
    border: none;
    color: var(--lightTwo);
    font-size: 11pt;
  }
  .logoutbtn a{
    font-size: 11pt;
  }
  .logoutbtn:hover{
    color: var(--hoverColor);
    transform: scale(1.05);
  }
.btn {
  display: inline-block;
  padding: 0.9rem 1.9rem;
  color: #fff !important;
  background-color: var(--mainColor);
  border-radius: 16px;
  text-transform: capitalize;
  transition: 0.3s;
}

.btn:hover {
  background-color: var(--hoverColor);
  transform: scale(1) !important;
}

.hamburger-menu {
  position: relative;
  z-index: 99;
  width: 2rem;
  height: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  display: none;
}

.hamburger-menu .bar {
  position: relative;
  width: 100%;
  height: 3px;
  background-color: var(--darkTwo);
  border-radius: 3px;
  transition: 0.5s;
}

.bar::before,
.bar::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--darkTwo);
  border-radius: 3px;
  transition: 0.5s;
}

.bar::before {
  transform: translateY(-8px);
}

.bar::after {
  transform: translateY(8px);
}

.big-wrapper.active .hamburger-menu .bar {
  background-color: transparent;
}

.big-wrapper.active .bar::before {
    transform: translateY(0) rotate(-45deg);
    color: #fff;
    background-color: #fff;
  }

  .big-wrapper.active .bar::after {
    transform: translateY(0) rotate(45deg);
    color: #fff;
    background-color: #fff;
  }
.showcase-area .container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  justify-content: center;
}

.big-title {
  font-size: 1.4rem;
  color: var(--darkOne);
  text-transform: capitalize;
  line-height: 1.4;
}

.text {
  color: var(--lightOne);
  font-size: 1.1rem;
  margin: 1.9rem 0 2.5rem;
  max-width: 600px;
  line-height: 2.3;
}

.showcase-area .btn {
  box-shadow: 0 0 40px 2px rgba(0, 0, 0, 0.05);
}

.person {
  width: 123%;
  transform: translate(15%, 25px);
}

.toggle-btn {
  display: none;
  border: none;
  background: var(--darkTwo);
  color: var(--backgroundColor);
  outline: none;
  cursor: pointer;
  height: 37px;
  width: 37px;
  border-radius: 50%;
  font-size: 1rem;
  transition: 0.3s;
}

.toggle-btn i {
  line-height: 39px;
  color: var(--backgroundColor);
}

.toggle-btn:hover {
  background: var(--mainColor);
}

.big-wrapper.light .toggle-btn i:last-child {
  display: none;
}

.big-wrapper.light .toggle-btn i:first-child {
  display: block;
}

.big-wrapper.dark .toggle-btn i:last-child {
  display: block;
}

.big-wrapper.dark .toggle-btn i:first-child {
  display: none;
}

.shape {
  position: absolute;
  z-index: 0;
  width: 500px;
  bottom: -180px;
  left: -15px;
  opacity: 0.1;
}

.copy {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 100;
  animation: appear 1s 1 both;
}

@keyframes appear {
  0% {
    clip-path: circle(30% at -25% -25%);
  }
  100% {
    clip-path: circle(150% at 0 0);
  }
}

@media screen and (max-width: 870px) {
  .hamburger-menu {
    display: flex;
  }
  .logoutbtn{
    color: #fff;
  }
  .links {
    position: fixed;
    top: 0;
    left: 0;
    padding: 1rem;
    width: 50%; /* Set the width to your desired value */
    max-width: 250px; /* You can adjust the max-width if needed */
    height: 100%;
    background-color: var(--mainColor);
    z-index: 95;
    display: flex;
    align-items: flex-start; /* Align items to the top */
    justify-content: flex-start; /* Align items to the left */
    transform: translateX(-100%); /* Initially off-screen to the left */
    transition: transform 0.5s ease; /* Smooth transition */
    font-size: 11pt;
}
.logosm{
    display: block;
    justify-content: center;
    width: 100%;
}
.logosm img{
    display: block;
}
.links a img{
    width: 80px;
    text-align: center;
    align-self: center;
    margin: 0 auto;
}
.links.open {
    transform: translateX(0); /* When open, move to the left side of the screen */
}


  .links ul {
    flex-direction: column;
  }

  .links a {
    color: #fff;
    margin-left: 0;
    padding: 2rem 0;
  }

  .links .btn {
    background: none;
  }

  .overlay {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    opacity: 0;
    pointer-events: none;
    transition: 0.5s;
  }

  .big-wrapper.active .links {
    transform: translateX(0);
    box-shadow: 0 0 50px 2px rgba(0, 0, 0, 0.4);
  }

  .big-wrapper.active .overlay {
    pointer-events: all;
    opacity: 1;
  }

  .showcase-area {
    padding: 2.5rem 0;
    max-width: 700px;
    margin: 0 auto;
  }

  .showcase-area .container {
    grid-template-columns: 1fr;
    justify-content: center;
    grid-gap: 2rem;
  }

  .big-title {
    font-size: 1.1rem;
  }

  .text {
    font-size: 0.95rem;
    margin: 1.4rem 0 1.5rem;
  }

  .person {
    width: 100%;
    transform: none;
  }

  .logo h3 {
    font-size: 1.25rem;
  }

  .shape {
    bottom: -180px;
    left: -150px;
  }
}

@media screen and (max-width: 470px) {
  .container {
    padding: 0 1.5rem;
  }

  .big-title {
    font-size: 0.9rem;
  }

  .text {
    margin: 1.1rem 0 1.5rem;
  }

  .showcase-area .btn {
    font-size: 0.8rem;
  }
}
/**admin image**/
.admin_set{
  width:100%;
  position:fixed;
  bottom:1rem;
  z-index: 100;
}
.admin_img{
width:50px;
float:right;
margin:.5rem;
animation-name: spin;
  animation-duration: 5000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}
/*line break */
.break{
  width:1rem;
}
/*services */
.section {
  height: 100vh;
  width: 100%;
  display: grid;
  place-items: center;
}
.raw {
  display: flex;
  flex-wrap: wrap;
  text-align:center ;
  align-items: center;
background:var(--services);
}
.section-heading{
   text-align: center;
   width: 100%;
   color:var(--white);
}
.calumn {
  width: 100%;
  padding: 0 1em 1em 1em;
  text-align: center;
}
.cord {
  width: 100%;
  height: 100%;
  padding: 2em 1.5em;
  background: linear-gradient(#ffffff 50%, #A020F0 50%);
  background-size: 100% 200%;
  background-position: 0 2.5%;
  border-radius: 5px;
  box-shadow: 0 0 35px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  transition: 0.5s;
}
.cord h3 {
  font-size: 20px;
  font-weight: 600;
  color: #1f194c;
  margin: 1em 0;
}
.cord p {
  color: #575a7b;
  font-size: 15px;
  line-height: 1.6;
  letter-spacing: 0.03em;
}
.icon-wrapper {
  background-color: #A020F0;
  position: relative;
  margin: auto;
  font-size: 30px;
  height: 2.5em;
  width: 2.5em;
  color: #ffffff;
  border-radius: 50%;
  display: grid;
  place-items: center;
  transition: 0.5s;
}
.cord:hover {
  background-position: 0 100%;
}
.cord:hover .icon-wrapper {
  background-color: #ffffff;
  color: red;
}
.cord:hover h3 {
  color: #ffffff;
}
.cord:hover p {
  color: #f0f0f0;
}
@media screen and (min-width: 768px) {
  .section {
    padding: 0 2em;
  }
  .calumn {
    flex: 0 50%;
    max-width: 50%;
  }
}
@media screen and (min-width: 992px) {
  .section {
    padding: 1em 3em;
  }
  .calumn {
    flex: 0 0 33.33%;
    max-width: 33.33%;
  }
}
/* footer start */
.footer{
  width:100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 3rem;
}
.conte{
  width: 100%;
  margin:0,auto;
  background: var(--black);
  border-radius: 6px;
  padding: 20px 60px 30px 40px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}
.conte .content{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.conte .content .left-side{
  width: 25%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 15px;
  position: relative;
}
.content .left-side::before{
  content: '';
  position: absolute;
  height: 70%;
  width: 2px;
  right: -15px;
  top: 50%;
  transform: translateY(-50%);
  background: #afafb6;
}
.content .left-side .details{
  margin: 14px;
  text-align: center;
}
.content .left-side .details i{
  font-size: 30px;
  color: var(--mainColor);
  margin-bottom: 10px;
}
.content .left-side .details .topic{
  font-size: 18px;
  font-weight: 500;
  color: var(--white);
}
.content .left-side .details .text-one,
.content .left-side .details .text-two{
  font-size: 14px;
  color: var(--white);
}
.conte .content .right-side{
  width: 75%;
  margin-left: 75px;
}
.content .right-side .topic-text{
  font-size: 23px;
  font-weight: 600;
  color: var(--white);
}
.conte .content .right-side p{
  color: var(--white);
}
.right-side .input-box{
  height: 50px;
  width: 100%;
  margin: 12px 0;
}
.right-side .input-box input,
.right-side .input-box textarea{
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  font-size: 16px;
  background: #F0F1F8;
  border-radius: 6px;
  padding: 0 15px;
  resize: none;
}
.right-side .message-box{
  min-height: 110px;
}
.right-side .input-box textarea{
  padding-top: 6px;
}
.right-side .button{
  display: inline-block;
  margin-top: 12px;
}
.right-side .button input[type="submit"]{
  color: #fff;
  font-size: 18px;
  outline: none;
  border: none;
  padding: 8px 16px;
  border-radius: 6px;
  background: var(--mainColor);
  cursor: pointer;
  transition: all 0.3s ease;
}
.button input[type="submit"]:hover{
  background: #5029bc;
}
@media (max-width: 950px) {
  .conte{
    width: 100%;
    padding: 30px 40px 40px 35px ;
  }
  .conte .content .right-side{
   width: 75%;
   margin-left: 55px;
}
}
@media (max-width: 820px) {
  .conte{
    margin: 40px 0;
    height: 100%;
  }
  .conte .content{
    flex-direction: column-reverse;
  }
 .conte .content .left-side{
   width: 100%;
   flex-direction: row;
   margin-top: 40px;
   justify-content: center;
   flex-wrap: wrap;
 }
 .conte .content .left-side::before{
   display: none;
 }
 .conte .content .right-side{
   width: 100%;
   margin-left: 0;
 }
}
/* footer end */
